import Vue from 'vue';
import Vuex from 'vuex';
import student from '@frame/store/student';
import teacher from '@frame/store/teacher';
import trainplan from '@frame/store/trainplan';
import classes from '@frame/store/classes';
import subject from '@frame/store/subject';
import leave from '@frame/store/leave';
import schPlan from '@frame/store/sch-plan';
import schimport from '@frame/store/sch-import';
import login from '@frame/store/login';
import count from '@frame/store/count';
import dirPlan from '@frame/store/dir-plan';
import attendance from '@frame/store/attendance';
import setting from '@frame/store/setting';
import trainBatch from '@frame/store/train-plan-year';
import classtype from '@frame/store/classtype';

import util from '@frame/store/util';
import * as ustate from '@frame/store/user/state';
import * as umutations from '@frame/store/user/mutations';
import * as dostate from '@frame/store/setting/state';
import * as domutations from '@frame/store/setting/mutations';
Vue.use(Vuex);

export default new Vuex.Store({
  modules: {
    student,
    teacher,
    trainplan,
    schPlan,
    schimport,
    classes,
    subject,
    leave,
    login,
    dirPlan,
    util,
    attendance, //考勤
    count,
    setting,
    trainBatch,
    classtype,
  },
  state: { ...ustate, ...dostate },
  mutations: { ...umutations, ...domutations },
  actions: {},
});
